package com.cultural.heritage.model.vo.bookingDate;

import com.cultural.heritage.model.vo.bookingTime.BookingTimeVO;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class BookingDateVO implements Serializable {


    /**
     * 预约日期表
     */
    private Long id;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 写真产品id
     */
    private Long photoProductId;


    /**
     * 预约时间列表
     */
    private List<BookingTimeVO> bookingTimeVOList;



    @Serial
    private static final long serialVersionUID = 1L;
}
