package com.cultural.heritage.model.vo.cartService;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class CartExperienceOrderVO implements Serializable {


    /**
     * 商品详细信息
     */
    private CartExperienceGoodVO cartExperienceGoodVO;


    /**
     * 商品购买数量
     */
    private Integer quantity;


    /**
     * 预约日期
     */
    private String reservationDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 剩余人数
     */
    private Integer restNumber;


    @Serial
    private static final long serialVersionUID = 1L;
}
