package com.cultural.heritage.model.vo.coupon;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CouponVO implements Serializable {


    /**
     * 优惠券id
     */
    private Long id;


    /**
     * 优惠券名称
     */
    private String name;


    /**
     * 标准金额
     */
    private BigDecimal standardAmount;


    /**
     * 满减金额
     */
    private BigDecimal conditionAmount;


    /**
     * 需要的积分
     */
    private Integer requirePoints;


    /**
     * 有效开始日期
     */
    private String startTime;


    /**
     * 有效截止日期
     */
    private String endTime;


    /**
     * 优惠券状态
     */
    private String status;



    @Serial
    private static final long serialVersionUID = 1L;
}
