package com.cultural.heritage.service.wx;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.article.OfficialAccountArticleQueryRequest;
import com.cultural.heritage.model.entity.OfficialAccountArticle;

public interface WeChatOfficialAccountService extends IService<OfficialAccountArticle> {

    /**
     * 校验
     */
    void validArticle(OfficialAccountArticle officialAccountArticle, boolean update);


    /**
     * 获取查询条件
     */
    QueryWrapper<OfficialAccountArticle> getQueryWrapper(OfficialAccountArticleQueryRequest officialAccountArticleQueryRequest);
}
