package com.cultural.heritage.model.dto.facelift;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GarmentObj implements Serializable {

    /**
     * 模特配置
     */
    private String id;

    /**
     * 服装URL列表
     */
    private List<ClothesUrlObj> data;


    @Serial
    private static final long serialVersionUID = 1L;
}
